---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - ../../../base/traefik-system

helmCharts:
  - name: traefik
    repo: https://artifactapi.k8s.syd1.au.unkin.net/api/v1/virtual/helm
    version: "40.0.0"
    releaseName: traefik-internal
    namespace: traefik-system
    valuesFile: values-internal.yaml
    apiVersions:
      - policy/v1/PodDisruptionBudget
  - name: traefik
    repo: https://artifactapi.k8s.syd1.au.unkin.net/api/v1/virtual/helm
    version: "40.0.0"
    releaseName: traefik-external
    namespace: traefik-system
    valuesFile: values-external.yaml
    apiVersions:
      - policy/v1/PodDisruptionBudget
